Summary: Themes for GNOME
Name: gnome-themes
Version: 2.28.1
Release: 6%{?dist}
URL: http://download.gnome.org/sources/gnome-themes/
Source: http://download.gnome.org/sources/gnome-themes/2.28/%{name}-%{version}.tar.bz2
# Icons done by Andreas Nilsson for http://live.gnome.org/GnomeArt/ArtRequests/issue26
# svg versions done by Maureen Duffy
Source2: newer-icons.tar
Source10: slider-metacity.tar
# https://bugzilla.gnome.org/show_bug.cgi?id=614343
Patch0: indic-titlebars.patch
Patch10: slider-theme.patch
License: LGPLv2 and GPLv2
Group: User Interface/Desktops
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: gtk2-engines >= 2.15.3
Requires: gnome-icon-theme

Requires(post): gtk2 >= 2.6.2
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: libtool
BuildRequires: gettext
BuildRequires: gtk2-engines-devel
BuildRequires: icon-naming-utils >= 0.8.0

%description
The gnome-themes package contains a collection of desktop themes for GNOME.
These themes can change the appearance of application widgets, icons, window
borders, cursors, etc.

%prep
%setup -q
%patch0 -p1 -b .indic-titlebars
%patch10 -p1 -b .slider-theme
find . -exec touch \{\} \;

tar xf %{SOURCE10}

autoreconf -f -i

%build
./configure --prefix=/usr
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

# Clearlooks gtk theme is in gtk2-engines
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Clearlooks/gtk-2.0
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/README.html
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/ICON.png
# Remove the test theme
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/ClearlooksTest/

# Put extra Mist folder icons in place
tar xf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/icons/

# we want to own the icon caches
for dir in $RPM_BUILD_ROOT%{_datadir}/icons/*; do
  touch $dir/icon-theme.cache
done

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet "$dir"
    fi
  fi
done

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/icons/*
%ghost %{_datadir}/icons/*/icon-theme.cache

# themes where the gtk theme is shipped with the engine
%{_datadir}/themes/Clearlooks/*
%{_datadir}/themes/Crux/*
%{_datadir}/themes/Mist/*

# others
%{_datadir}/themes/Slider
%{_datadir}/themes/Glider
%{_datadir}/themes/Glossy
%{_datadir}/themes/ClearlooksClassic
%{_datadir}/themes/HighContrast
%{_datadir}/themes/HighContrastInverse
%{_datadir}/themes/HighContrastLargePrint
%{_datadir}/themes/HighContrastLargePrintInverse
%{_datadir}/themes/Inverted
%{_datadir}/themes/LargePrint
%{_datadir}/themes/LowContrast
%{_datadir}/themes/LowContrastLargePrint
%{_datadir}/themes/Simple

%doc AUTHORS COPYING NEWS README


%changelog

